Package 'gamin', required by 'virtual:world', not found

Hi,

I am trying to build code::blocks from source and get the error in the title. I can not figure out how to get gamin on the system.

gamin and gamin-devel are not found by yum.

This page gamin-0.1.10-38.fc34 | Build Info | koji lists gamin-devel has rpms. I am on a x86_64 system and use fedora 34, so I tried to install “gamin-devel-0.1.10-38.fc34.x86_64.rpm.” It fails with “could not depsolve transaction; 1 problem detected.”

This page Commit - rpms/gamin - 07ab52068816ff2a547dd964a07a16e675c65210 - src.fedoraproject.org supposedly has the source, so I was going to try and build it. Did a "git clone https://src.fedoraproject.org/rpms/gamin.git." All that was cloned was a dead.package file with “No longer has any users, long outdated.” So then I tried “git revert --no-commit 07ab520…HEAD.” I got some patch files, a spec file, a config file for the package called gaminrc, and a file called sources with “2e2d9ea71f34e0aa22a700ddbff05385 gamin-0.1.10.tar.bz2.” This is where I am stuck.

Am I on the right path? What do I do?

1 Like

I would think you should be able to …
clone the repo
switch to the last branch that was built, looks like f33
then use fedpkg mockbuild

you’ll probably need to specify the release you’re on for the mockbuild

1 Like

Why does this command seem to be installing programs that are already on the system? Is it for the test environment?
It has produced gamin-0.1.10-38.fc36.src.rpm, but the software install is hanging trying to load the application details.

https://fedoraproject.org/wiki/Using_Mock_to_test_package_builds

Probably explains it better than I could.

1 Like

Ok, I cannot install the rpm because, “Error: Will not install a source rpm package.” I was able to install libraries from source, but how can I get the headers installed?